Package weka.gui.beans

# Interface ConnectionNotificationConsumer

public interface ConnectionNotificationConsumer
Interface for Beans that can receive (dis-)connection events generated when (dis-)connecting data processing nodes in the Weka KnowledgeFlow. This is useful, for example, for "intelligent" filters that are able to share configuration information with preceding nodes in the processing chain.

Version:
  $Revision: 1.2 $
Author:
  Carsten Pohle (cp AT cpohle de)

## Method Summary

Modifier and Type
Method
Description
`void`
`connectionNotification(String eventName, Object source)`
Notify this object that it has been registered as a listener with a source with respect to the supplied event name.
`void`
`disconnectionNotification(String eventName, Object source)`
Notify this object that it has been deregistered as a listener with a source with respect to the supplied event name This method should be implemented <emph>synchronized</emph>.

## Method Details

### connectionNotification

void connectionNotification(String eventName, Object source)
Notify this object that it has been registered as a listener with a source with respect to the supplied event name. This method should be implemented <emph>synchronized</emph>.

Parameters:
  `eventName` -
  `source` - the source with which this object has been registered as a listener

### disconnectionNotification

void disconnectionNotification(String eventName, Object source)
Notify this object that it has been deregistered as a listener with a source with respect to the supplied event name This method should be implemented <emph>synchronized</emph>.

Parameters:
  `eventName` - the event
  `source` - the source with which this object has been registered as a listener